-- este fichero lanza la ejecucin del script .sql  suministrado como primer parmetro, y
-- se utiliza para configurar e iniciar algunas tareas previas (iniciar el volcado  de la
-- salida por pantalla en un fichero y configurar otros aspectos de su ejecucin, como el
-- echo, el formato de salida, etc.)
--
-- el primer parmetro es el nombre del fichero SQL a ejecutar
-- el segundo es ON u OFF para indicar si se hace, o no, eco de las sentencias ejecutadas
-- el tercero es el nombre del fichero SQL a ejecutar tras terminar
--
-- version 1.1
-- Santiago Velilla 7 Abril 2014
-- Dpto. Informtica e Ingeniera de Sistemas, Universidad Zaragoza

prompt ejecucin de &1 con ECHO &2
prompt tras terminar se ejecuta &3

set echo off
spool oracle_trz.lst

set echo &2
@&1
set echo off

prompt fin de la ejecucion de &1
spool off

-- para salir del entorno ORACLE si no se encuentra el fichero .sql de terminacin.
-- Comentar la lnea siguiente si se desea continuar con la sesin de forma interactiva.
WHENEVER OSERROR EXIT 1

-- ejecucin de &3 (ORAcmd_fin.sql) si existe
@&3

/* el cdigo que sigue a continuacin slo se ejecutar si:
    - o bien no se ha ejecutado en el script &3 la orden de cerrar la sesin (lnea con "exit")
    - o, en el caso de que no exista el fichero con el script &3, no se activ la deteccin del
      error producido por este suceso (OSERROR) y la correspondiente accin de terminar (la
      lnea con "WHENEVER OSERROR EXIT 1" est como comentario
*/
prompt fin de la ejecucion de &3
-- pause

-- aadir la salida por pantalla del resto de la sesin al fichero de salida generado
spool oracle_trz.lst APPEND
prompt
prompt inicio de sesin interactiva
prompt
prompt &_USER
prompt &_CONNECT_IDENTIFIER
prompt fecha: &_DATE
prompt

